#!/bin/sh

if [ "$#" -lt 2 ]; then
	echo "Usage $0 <v1> <v2>";
	exit 1;
fi

P=exim.conf-SpamBlockerTechnology-v

cd SpamBlocker

OLD=${1}/${P}${1}.txt
NEW=${2}/${P}${2}.txt

if [ ! -s ${OLD} ]; then
	echo "cannot find ${OLD}";
	exit 2;
fi
if [ ! -s ${NEW} ]; then
	echo "cannot find ${NEW}";
	exit 3;
fi


DIFF=${2}/${P}${1}-to-v${2}.diff

diff -u ${OLD} ${NEW} > $DIFF

echo SpamBlocker/$DIFF

exit 0;

